Page MenuHomePhabricator

Continue webpack + test transition of mobile.startup
Closed, ResolvedPublic5 Story Points

Description

We will continue the work of switching our code to webpack scoping to the files in the acceptance criteria

Acceptance criteria

  • oo-extend built via webpack
  • utils built via webpack
  • View built via webpack
  • browser built via webpack
  • cache built via webpack

Note: Adding additional test coverage is out of scope and will be added separately.
Note, the View code has dependencies on templates so these may need to be retained as QUnit tests.

^^ View.js was migrated but the tests were saved for a future card and need further discussion (T204786)

Sign off steps

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2018, 4:00 PM
Jdlrobson updated the task description. (Show Details)Aug 29 2018, 4:01 PM
Jdlrobson triaged this task as High priority.Aug 29 2018, 4:16 PM
Jdlrobson set the point value for this task to 5.
Jdlrobson updated the task description. (Show Details)Aug 30 2018, 1:43 AM

Change 458299 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Begin webpack + test transition of mobile.startup

https://gerrit.wikimedia.org/r/458299

Change 458883 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Migrate View.js to webpack

https://gerrit.wikimedia.org/r/458883

Jdlrobson renamed this task from Begin webpack + test transition of mobile.startup to Continue webpack + test transition of mobile.startup.Sep 11 2018, 9:11 PM

Change 458299 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Continue webpack + test transition of mobile.startup

https://gerrit.wikimedia.org/r/458299

Change 460092 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Fix dist/tests.mobilefrontend.js.map.json file

https://gerrit.wikimedia.org/r/460092

Change 460092 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Fix dist/tests.mobilefrontend.js.map.json file

https://gerrit.wikimedia.org/r/460092

Change 461145 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Migrate View.js to webpack

https://gerrit.wikimedia.org/r/461145

Change 461145 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Migrate View.js to webpack

https://gerrit.wikimedia.org/r/461145

nray updated the task description. (Show Details)Sep 19 2018, 5:45 PM
nray updated the task description. (Show Details)
nray updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Sep 19 2018, 6:21 PM

I chatted with @nray after standup and we feel like the remaining work is captured in T204786, which we will discuss on Monday as a group (and then later estimate/tackle as deemed necessary).

There are too many challenges here and it would be good to port some other files (e.g. T203817) to get more information about what will be needed.

Looking for a signer-offer to go over the existing code and comb through T204786 to confirm this can be resolved.

nray removed nray as the assignee of this task.Sep 20 2018, 5:15 PM
nray added a subscriber: nray.
Jdrewniak closed this task as Resolved.Sep 26 2018, 11:47 AM